/* PVWColor.PRG

   Some sample color-definitions for ProVision:Windows.
   Uses the colorScheme-class.

   Author : Gunther Popp, CIS: 100014,3646
   Date   : 05/22/94 13:03:40

   Important: This file includes NO (useful) compilable code - just examples
              how to fill the pwColorScheme-Class.

   Remarks: In the following you'll find 6 different colorschemes
            for PVW, each one depending on one 'main' color:

              - 'Office'        ->  Grey
              - 'Aquarium'      ->  Cyan
              - 'Greenhorn'     ->  Green
              - 'Pink Panther'  ->  Magenta
              - 'Deep Blue'     ->  Blue
              - 'Firebird'      ->  Red

            I tried to find useful color-combinations for menus, controls, ...
            which don't 'bite' the main-color. In some cases that was
            no easy job, just take a look at 'Pink Panther' ...

            Please be aware that I only took the TMR mode in account. If you
            want to support all possible modes equally, you'll need again 6
            schemes for NOTMR Mono+Color+LCD and TMR Mono+LCD. I myself
            include just one default scheme for each of these modes in my
            applications.

            The PVW colorScheme class doesn't include IVar's for enhanced
            and inverse display, so I list these attributes separatly at
            the of each scheme.

            If you have any suggestions on how some color-combinations can
            be improved or if you've your very own and special scheme which
            your users *love* - please let me know. Perhaps it's possible to
            collect some 'standard' schemes which stops the need for every
            PVW-developer to invite the wheel over and over again.

            Have fun & Ciao,

            Gunther 'Goonie' Popp, Munich, Germany.
            (100014, 3646)

            P.S.: All the provided source is absolutely FREEWARE.

*)


// 'Office' -----------------------------------------------------------------
    oColor:name              := "WPAL_GREY"
    oColor:browseboxColor    := " N/W , N/BG,  N/W , +W/W , N/*W, W, +N/W"
    oColor:checklistColor    := " N/W , N/BG,  N/W , +W/W , N/*W, W, +N/W"
    oColor:comboboxColor     := " N/W , N/BG,  N/W , +W/W , N/*W, W, +N/W"
    oColor:listboxColor      := " W/N , N/BG,  N/W , +W/W , N/*W, W, +N/W"
    oColor:checkboxColor     := " N/W , N/BG, +W/W , +N/W"
    oColor:menuColor         := " W/N*,+W/N , +W/N*,  N/N*, W/N"
    oColor:popupColor        := " W/N*,+W/N , +W/N*,  N/N*, W/N"
    oColor:menuitemColor     := " W/N*,+W/N , +W/N*,  N/N*, W/N"
    oColor:systemmenuColor   := " W/N*,+W/N , +W/N*,  N/N*, W/N"
    oColor:notepadColor      := " W/N , N/BG , N/W , +W/W , N/*W, W, +N/W"
    oColor:pushbuttonColor   := " N/W , N/BG, +W/W , +W/W ,+N/W , N/BG, +N/W"
    oColor:radiobuttonsColor := " N/W , N/BG, +W/W , +N/W"
    oColor:spinnerColor      := " N/W , N/BG,  N/W , +W/W ,+N/W"
    oColor:textfieldColor    := " W/N , N/BG,  N/W , +W/W ,+N/W"
    oColor:windowColor       := " N/W , W/N*, +W/N , +N/W , W/N*, N/W"

    cNormal   := "N/W"
    cInverse  := "W/N*"
    cEnhanced := "+W/W"

// 'Aquarium' ---------------------------------------------------------------
    oColor:name              := "WPAL_CYAN"
    oColor:browseboxColor    := " N/BG,+W/B ,  N/BG,+BG/BG, N/*W, W, +N/BG"
    oColor:checklistColor    := " N/BG,+W/B ,  N/BG,+BG/BG, N/*W, W, +N/BG"
    oColor:comboboxColor     := " N/BG,+W/B ,  N/BG,+BG/BG, N/*W, W, +N/BG"
    oColor:listboxColor      := "BG/N ,+W/B ,  N/BG,+BG/BG, N/*W, W, +N/BG"
    oColor:checkboxColor     := " N/BG,+W/B ,+BG/BG, +N/BG"
    oColor:menuColor         := "W+/B , N/BG,+BG/B , N+/B ,N+/BG"
    oColor:popupColor        := "W+/B , N/BG,+BG/B , N+/B ,N+/BG"
    oColor:menuitemColor     := "W+/B , N/BG,+BG/B , N+/B ,N+/BG"
    oColor:systemmenuColor   := "W+/B , N/BG,+BG/B , N+/B ,N+/BG"
    oColor:notepadColor      := "BG/N ,+W/B ,  N/BG,+BG/BG, N/*W, W, +N/BG"
    oColor:pushbuttonColor   := " N/W ,+W/B ,+BG/W , +W/BG, N/BG, W+/B ,+N/BG"
    oColor:radiobuttonsColor := " N/BG,+W/B ,+BG/BG, +N/BG"
    oColor:spinnerColor      := " N/BG,+W/B ,  N/BG,+BG/BG,+N/BG"
    oColor:textfieldColor    := "BG/N ,+W/B ,  N/BG,+BG/BG,+N/BG"
    oColor:windowColor       := " N/BG, W/N*, +W/N , +N/W , W+/B, N/BG"

    cNormal   := " N/BG"
    cInverse  := "+W/N "
    cEnhanced := "W+/BG"

// 'Greenhorn' --------------------------------------------------------------
    oColor:name              := "WPAL_GREEN"
    oColor:browseboxColor    := " N/G ,W+/W ,  N/G , G+/G , N/*W, W,+N/G"
    oColor:checklistColor    := " N/G ,W+/W ,  N/G , G+/G , N/*W, W,+N/G"
    oColor:comboboxColor     := " N/G ,W+/W ,  N/G , G+/G , N/*W, W,+N/G"
    oColor:listboxColor      := " N/W ,W+/W ,  N/G , G+/G , N/*W, W,+N/G"
    oColor:checkboxColor     := " N/G ,W+/W , G+/G , +N/G"
    oColor:menuColor         := " N/W , N/G*, G+/W , N+/W ,N+/G*"
    oColor:popupColor        := " N/W , N/G*, G+/W , N+/W ,N+/G*"
    oColor:menuitemColor     := " N/W , N/G*, G+/W , N+/W ,N+/G*"
    oColor:systemmenuColor   := " N/W , N/G*, G+/W , N+/W ,N+/G*"
    oColor:notepadColor      := " N/W ,W+/W , N/G , G+/G , N/*W, W,+N/G"
    oColor:pushbuttonColor   := " N/W , N/G*, G+/W , +W/G , N/G,  N/G*,+N/G"
    oColor:radiobuttonsColor := " N/G ,W+/W , G+/G , +N/G"
    oColor:spinnerColor      := " N/G ,W+/W ,  N/G , G+/G ,+N/G"
    oColor:textfieldColor    := " N/W ,W+/W ,  N/G,  G+/G ,+N/G"
    oColor:windowColor       := " N/G , W/N*, W+/N , +N/W , N/W , N/G"

    cNormal   := " N/G"
    cInverse  := "+W/N "
    cEnhanced := "+W/G"

// 'Pink Panther' -----------------------------------------------------------
    oColor:name              := "WPAL_MAGENTA"
    oColor:browseboxColor    := "+W/BR,+W/W , +W/BR,+BR/BR, N/*W, W, +N/BR"
    oColor:checklistColor    := "+W/BR,+W/W , +W/BR,+BR/BR, N/*W, W, +N/BR"
    oColor:comboboxColor     := "+W/BR,+W/W , +W/BR,+BR/BR, N/*W, W, +N/BR"
    oColor:listboxColor      := " N/W ,+W/W , +W/BR,+BR/BR, N/*W, W, +N/BR"
    oColor:checkboxColor     := "+W/BR,+W/W ,+BR/BR, +N/BR"
    oColor:menuColor         := " N/W ,W+/B*, BR/W , N+/W ,N+/B*"
    oColor:popupColor        := " N/W ,W+/B*, BR/W , N+/W ,N+/B*"
    oColor:menuitemColor     := " N/W ,W+/B*, BR/W , N+/W ,N+/B*"
    oColor:systemmenuColor   := " N/W ,W+/B*, BR/W , N+/W ,N+/B*"
    oColor:notepadColor      := " N/W ,+W/W , +W/BR,+BR/BR, N/*W, W, +N/BR"
    oColor:pushbuttonColor   := " N/W ,W+/B*, BR/W , +W/BR, N/BR, N/B*,+N/BR"
    oColor:radiobuttonsColor := "+W/BR,+W/W ,+BR/BR, +N/BR"
    oColor:spinnerColor      := "+W/BR,+W/W , +W/BR,+BR/BR,+N/BR"
    oColor:textfieldColor    := " N/W ,+W/W , +W/BR,+BR/BR,+N/BR"
    oColor:windowColor       := "+W/BR, N/W , N+/W*,  W/*N, N/W ,+W/BR"

    cNormal   := "+W/BR"
    cInverse  := " N/W*"
    cEnhanced := "+BR/BR"

// 'Deep Blue' --------------------------------------------------------------
    oColor:name              := "WPAL_BLUE"
    oColor:browseboxColor    := "+W/B , N/BG, +W/B ,+BG/B , N/*W, W, W/B"
    oColor:checklistColor    := "+W/B , N/BG, +W/B ,+BG/B , N/*W, W, W/B"
    oColor:comboboxColor     := "+W/B , N/BG, +W/B ,+BG/B , N/*W, W, W/B"
    oColor:listboxColor      := " N/W , N/BG, +W/B ,+BG/B , N/*W, W, W/B"
    oColor:checkboxColor     := "+W/B , N/BG,+BG/B ,  W/B"
    oColor:menuColor         := " N/BG,W+/B*, +W/BG, N+/BG,N+/B*"
    oColor:popupColor        := " N/BG,W+/B*, +W/BG, N+/BG,N+/B*"
    oColor:menuitemColor     := " N/BG,W+/B*, +W/BG, N+/BG,N+/B*"
    oColor:systemmenuColor   := " N/BG,W+/B*, +W/BG, N+/BG,N+/B*"
    oColor:notepadColor      := " N/W , N/BG, +W/B ,+BG/B , N/*W, W, W/B"
    oColor:pushbuttonColor   := " N/W , N/BG,+BG/W , +W/B , N/B , N/BG,N+/B"
    oColor:radiobuttonsColor := "+W/B , N/BG,+BG/B ,  W/B"
    oColor:spinnerColor      := "+W/B , N/BG, +W/B ,+BG/B , W/B"
    oColor:textfieldColor    := " N/W , N/BG, +W/B ,+BG/B , W/B"
    oColor:windowColor       := "+W/B , N/W , N+/W*,  W/*N, N/BG,+W/B"

    cNormal   := "+W/B"
    cInverse  := "+W/N*"
    cEnhanced := "GR+/B"

// 'Firefox' ----------------------------------------------------------------
    oColor:name              := "WPAL_RED"
    oColor:browseboxColor    := "+W/R ,+W/W , +W/R , +R/R , N/*W, W, W/R"
    oColor:checklistColor    := "+W/R ,+W/W , +W/R , +R/R , N/*W, W, W/R"
    oColor:comboboxColor     := "+W/R ,+W/W , +W/R , +R/R , N/*W, W, W/R"
    oColor:listboxColor      := " N/W ,+W/W , +W/R , +R/R , N/*W, W, W/R"
    oColor:checkboxColor     := "+W/R ,+W/W , +R/R ,  W/R"
    oColor:menuColor         := " N/W*, N/R*,  R/W*, N+/W*,N+/R*"
    oColor:popupColor        := " N/W*, N/R*,  R/W*, N+/W*,N+/R*"
    oColor:menuitemColor     := " N/W*, N/R*,  R/W*, N+/W*,N+/R*"
    oColor:systemmenuColor   := " N/W , N/R*,  R/W*, N+/W*,N+/R*"
    oColor:notepadColor      := " N/W ,+W/W , +W/R , +R/R , N/*W, W, W/R"
    oColor:pushbuttonColor   := " N/W ,+W/R*,  R/W , +W/R , N/R , N/BG, N/*N"
    oColor:radiobuttonsColor := "+W/R ,+W/W , +R/R ,  W/R"
    oColor:spinnerColor      := "+W/R ,+W/W , +W/R , +R/R , W/R"
    oColor:textfieldColor    := " N/W ,+W/W , +W/R , +R/R , W/R"
    oColor:windowColor       := "+W/R , W/N*, W+/N , +N/W , N/W*,+W/R"

    cNormal   := "+W/R"
    cInverse  := "+W/N*"
    cEnhanced := "+R/R"

